#ifndef tracker_memory_h_seen
#define tracker_memory_h_seen

/* Wrappers for memory allocation on older glib systems  */
#if GLIB_CHECK_VERSION(2,10,0)
#define tracker_new0(type) (g_slice_new0(type))
#define tracker_new(type) (g_slice_new(type))
#define tracker_free(type,obj) G_STMT_START{ g_slice_free(type, obj); }G_STMT_END
#else
#define tracker_new0(type) (g_new0(type, 1))
#define tracker_new(type) (g_new(type, 1))
#define tracker_free(type,obj) G_STMT_START{ g_free(obj); }G_STMT_END
#endif

#endif
